using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Inheritance.Examples24to27
{
    // Listing 6-24
    public abstract class AbstractBase
    {
        public abstract void ShowMessage();
    }

    // Listing 6-25
    public abstract class MustBeComparable : IComparable<string>
    {
        public abstract int CompareTo(string other);
    }

    // Listing 6-26
    public class LibraryBase
    {
    }

    // Listing 6-27
    public class CustomerDerived : LibraryBase
    {
        public void Start()
        {
            Console.WriteLine("Metoda Start typu pochodnego");
        }
    }
}
